			//
			if(read_data_buffer[0]!='$') valid_packet=FALSE;
			if(read_data_buffer[1]!='s') valid_packet=FALSE;
			//
			if(read_data_buffer[2]!='a') valid_packet=FALSE;
			if(read_data_buffer[3]>'9'||read_data_buffer[3]<'0') valid_packet=FALSE;
			if(read_data_buffer[4]>'9'||read_data_buffer[4]<'0') valid_packet=FALSE;
			if(read_data_buffer[5]>'9'||read_data_buffer[5]<'0') valid_packet=FALSE;
			//
			if(read_data_buffer[6]!='b') valid_packet=FALSE;
			if(read_data_buffer[7]>'9'||read_data_buffer[7]<'0') valid_packet=FALSE;
			if(read_data_buffer[8]>'9'||read_data_buffer[8]<'0') valid_packet=FALSE;
			if(read_data_buffer[9]>'9'||read_data_buffer[9]<'0') valid_packet=FALSE;
			//
			if(read_data_buffer[10]!='c') valid_packet=FALSE;
			if(read_data_buffer[11]>'9'||read_data_buffer[11]<'0') valid_packet=FALSE;
			if(read_data_buffer[12]>'9'||read_data_buffer[12]<'0') valid_packet=FALSE;
			if(read_data_buffer[13]>'9'||read_data_buffer[13]<'0') valid_packet=FALSE;
			//
			if(read_data_buffer[14]!='d') valid_packet=FALSE;
			if(read_data_buffer[15]>'9'||read_data_buffer[15]<'0') valid_packet=FALSE;
			if(read_data_buffer[16]>'9'||read_data_buffer[16]<'0') valid_packet=FALSE;
			if(read_data_buffer[17]>'9'||read_data_buffer[17]<'0') valid_packet=FALSE;
			//
			if(read_data_buffer[18]!='r') valid_packet=FALSE;
			if(read_data_buffer[19]>'9'||read_data_buffer[19]<'0') valid_packet=FALSE;
			if(read_data_buffer[20]>'9'||read_data_buffer[20]<'0') valid_packet=FALSE;
			if(read_data_buffer[21]>'9'||read_data_buffer[21]<'0') valid_packet=FALSE;
